package com.shzg.project.unique.mapper;

import java.util.List;
import com.shzg.project.unique.domain.WornUniqueCodeMaterial;

/**
 * 唯一码物料信息Mapper接口
 * 
 * @author shzg
 * @date 2026-03-17
 */
public interface WornUniqueCodeMaterialMapper 
{
    /**
     * 查询唯一码物料信息
     * 
     * @param id 唯一码物料信息主键
     * @return 唯一码物料信息
     */
    public WornUniqueCodeMaterial selectWornUniqueCodeMaterialById(Long id);

    /**
     * 查询唯一码物料信息列表
     * 
     * @param wornUniqueCodeMaterial 唯一码物料信息
     * @return 唯一码物料信息集合
     */
    public List<WornUniqueCodeMaterial> selectWornUniqueCodeMaterialList(WornUniqueCodeMaterial wornUniqueCodeMaterial);

    /**
     * 新增唯一码物料信息
     * 
     * @param wornUniqueCodeMaterial 唯一码物料信息
     * @return 结果
     */
    public int insertWornUniqueCodeMaterial(WornUniqueCodeMaterial wornUniqueCodeMaterial);

    /**
     * 修改唯一码物料信息
     * 
     * @param wornUniqueCodeMaterial 唯一码物料信息
     * @return 结果
     */
    public int updateWornUniqueCodeMaterial(WornUniqueCodeMaterial wornUniqueCodeMaterial);

    /**
     * 删除唯一码物料信息
     * 
     * @param id 唯一码物料信息主键
     * @return 结果
     */
    public int deleteWornUniqueCodeMaterialById(Long id);

    /**
     * 批量删除唯一码物料信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWornUniqueCodeMaterialByIds(Long[] ids);


    /**
     * 根据唯一码id查询唯一码物料信息
     * @param id
     * @return
     */
    WornUniqueCodeMaterial selectWithMaterialByUniqueCodeId(Long id);
    /**
     * 更新唯一码状态
     * */
    public int updateDeleteByUniqueCodeId(Long uniqueCodeId);
    WornUniqueCodeMaterial selectByUniqueCodeId(Long uniqueCodeId);
    int deleteByUniqueCodeId(Long uniqueCodeId);

}
